Loading...
Searching...
No Matches
gridfire::solver Namespace Reference

## Classes

class | CVODESolverStrategy
| Stiff ODE integrator backed by SUNDIALS CVODE (BDF) for network + energy. More...
class | NetworkSolverStrategy
| Abstract base class for network solver strategies. More...
struct | SolverContextBase
| Base class for solver callback contexts. More...

## Typedefs

using | DynamicNetworkSolverStrategy = NetworkSolverStrategy< engine::DynamicEngine >
| Type alias for a network solver strategy that uses a DynamicEngine.

## Typedef Documentation

## DynamicNetworkSolverStrategy

using gridfire::solver::DynamicNetworkSolverStrategy = typedef NetworkSolverStrategy<engine::DynamicEngine>

Type alias for a network solver strategy that uses a DynamicEngine.